/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef HAVE_SQL_H_798432789342879

#define HAVE_SQL_H_798432789342879

#include <mysql/mysql.h>
#include <config.h>
#include <stdlib.h>
#include <stdio.h>
#include <gnome.h>
#include <support.h>
#include <glib.h>
#include <easy.h>
#include <finterface.h>
#include <types.h>


MYSQL mysql;			///< Polaczenie z baza danych 

/* hgw ??? */
int test ();

/* Ustanawia polaczenie z baza danych */
gboolean sqlInit ();
/* Zamyka polaczenie z baza danych */
gboolean sqlClose ();

/* Wypelnia Liste polami z sql'a */
gboolean sqlFillCList (GtkCList * list, gchar * sql);
/* Wypelnia pola Szczegolow w oknie Faktura */
gboolean sqlFillSzczegol (GtkWidget * kod);

/* Dodaje kontrahenta (bez walidacji) */
gboolean sqlAddKontrahent (struct fKontrahent *kontrahent);

#endif // ifndef HAVE_SQL_H_798432789342879
