/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/** \file
 * \brief Zawiera funkcje operujace na interfejsie
 *
 * Nazwy funkcji maja nastepujaca strukture
 * E[nazwa_funkcji_gtk]
 * parametrami funkcji sa
 * wskaznik na okno
 * nazwa obiektu, dla ktorego wywolywana jest funkcja
 * kolejne argumenty funkcji
 */

#include <easy.h>

inline G_CONST_RETURN gchar *
Egtk_entry_get_text (GtkWidget * window, gchar * entry)
{
  return gtk_entry_get_text (GTK_ENTRY (lookup_widget (window, entry)));
}
