/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef HAVE_ERROR_H_798432789342879
#define HAVE_ERROR_H_798432789342879

/** \file
 * \brief Informacje o bledach uzytkownika/programu.
 *
 *  Kazda funkcja zaczyna sie przedrostkiem error.
 * \author Michal Lachowicz <MLachowicz@elka.pw.edu.pl>
 */

#include <glib.h>
#include <config.h>
#include <gnome.h>
#include <stdlib.h>
#include <stdio.h>
#include <mysql/mysql.h>

extern GtkWidget *fakturaWindow;
extern MYSQL mysql;

void errorPoleWartosc (GtkWindow * window, gchar * pole, gchar * wartosc);
void errorNazwaKontrahenta (GtkWindow * window, gchar * tmp);
void errorRegon (GtkWindow * window, gchar * tmp);
void errorUlica (GtkWindow * window, gchar * tmp);
void errorMiejscowosc (GtkWindow * window, gchar * tmp);
void errorPodpis (GtkWindow * window, gchar * tmp);

#endif // HAVE_ERROR_H_798432789342879
